Subject: Re: draft-manral-ospf-router-lsa-unknown-type-02

From: Vishwas Manral <[email-masked]>
Date: Wed, 26 Jan 2005 02:02:09 -0800

Hi Mitchell,

>	So, does the "Unknown Link Types are ignored" (last
>	sentance  in ""2. Changes for OSPFv2"") deal
>	with the RFC2328 unknowns or router-id router unknowns? 
>	I assume it is the later..
You are right and it's a good point. I will clarify this.

Having complex cases as you said, however may complicate things.

Thanks,
Vishwas

-----Original Message-----
From: Mailing List [mailto:[email-masked]] On Behalf Of
Erblichs
Sent: Wednesday, January 26, 2005 5:35 AM
To: [email-masked]
Subject: Re: draft-manral-ospf-router-lsa-unknown-type-02

Group,

	Sorry about my late reply. I have a bad cold. :-(

	If I was to agree that we should process/forward
	unknown LSA link types, I think the wording specified
	in the draft is abit ambiguous..

	Router LSA link-types 1,2, 3, and 4 are defined
	in RFC2328. However, a router may imploy a superset
	of link-types say supporting additional link-types,
	say link-type 5 for wireless links.. 

	Thus, shouldn't the "should now read" deal with
	RFC 2328 Router LSA link-types unknowns and router-id
	router LSA link-type unknowns with link-type 6 or more?????

	So, does the "Unknown Link Types are ignored" (last
	sentance  in ""2. Changes for OSPFv2"") deal
	with the RFC2328 unknowns or router-id router unknowns? 
	I assume it is the later..

	NOW, .........

	When we have a stub area.. FYI, the original reason
	for stub areas (Moy OSPF books) was to reduce the
	memory requirments..

	1) simple case first..

	Doesn't it make sense that if ALL the link-types
	within a ROUTER LSA are RFC2328 unknown that the LSA just
	consumes memory and CPU cycles.. Thus, in my opinion
	these LSAs should not be present in the routers within
	a stub area.

	  or that all the routers within the area match
	  the router-id router LSA link-type unknown..

	  I have been considering whether this ADJ should even
	  be up if the router ONLY originates Router LSAs
	  with unknown link-types??? Is it acting basicly
	  as a passive adj? We can't send data packets over
	  the link, but we should be able to recieve data
	  packets.. Thus, I think we have a 1-way data link.
	  
	2) This falls into a subcategory of #1. If some of the
	link-types are known within a Router LSA, the unknowns
	should be stripped from the Router LSA. This should
	reduce the flooding overhead and memory requirements.
	It does require a memory copy to reduce the size of the
	router LSA. 

	The assumption here is that the unknown link-types
	should be stripped. However, should they been originated
	in the first place??? Should displays (implimentation
	dependent) identify routers that generate router LSAs
	with unknown link-types?

	Thus, their are at least, LSA origination, flooding,	
	and SPF issues that need to be addressed for the
	two definitions of "unknowns" and stub/not stub areas.

	Mitchell Erblich